Subject: Re: linux-next: manual merge of the drm tree with the drm-misc-fixes tree

From: "Danilo Krummrich" <[email-masked]>
Date: Wed, 20 Aug 2025 12:30:14 +0200

On Wed Aug 20, 2025 at 3:21 AM CEST, Stephen Rothwell wrote:
> Hi all,
>
> Today's linux-next merge of the drm tree got a conflict in:
>
>   drivers/gpu/drm/nova/file.rs
>
> between commit:
>
>   db2e7bcee11c ("drm: nova-drm: fix 32-bit arm build")
>
> from the drm-misc-fixes tree and commit:
>
>   94febfb5bcfb ("rust: drm: Drop the use of Opaque for ioctl arguments")
>
> from the drm tree.
>
> I fixed it up (I think - see below) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.
>
> -- 
> Cheers,
> Stephen Rothwell
>
> diff --cc drivers/gpu/drm/nova/file.rs
> index 4fe62cf98a23,7e7d4e2de2fb..000000000000
> --- a/drivers/gpu/drm/nova/file.rs
> +++ b/drivers/gpu/drm/nova/file.rs
> @@@ -39,8 -36,7 +36,8 @@@ impl File 
>               _ => return Err(EINVAL),
>           };
>   
>  -        getparam.value = value;
>  +        #[allow(clippy::useless_conversion)]
> -         getparam.set_value(value.into());
> ++        getparam.value = value.into();
>   
>           Ok(0)
>       }

I think this resolution doesn't compile, since attributes on expressions are
behind an unstable feature flag.

I assume your config does not have CONFIG_DRM_NOVA={y,m}.

The resolution in [1] is the one I came up with in the drm-tip tree.

I should probably have given you a head-up on this conflict, sorry for that.

[1]

diff --cc drivers/gpu/drm/nova/file.rs
index 4fe62cf98a23,7e7d4e2de2fb..90b9d2d0ec4a
--- a/drivers/gpu/drm/nova/file.rs
+++ b/drivers/gpu/drm/nova/file.rs
@@@ -39,8 -36,7 +36,7 @@@ impl File
              _ => return Err(EINVAL),
          };

-         #[allow(clippy::useless_conversion)]
-         getparam.set_value(value.into());
 -        getparam.value = value;
++        getparam.value = Into::<u64>::into(value);

          Ok(0)
      }